commit:     f9f72e276f3c3ca835a93ca5d9467684383ca96c
Author:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Fri Jun  2 10:54:02 2017 +0000
Commit:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Sat Jun  3 15:13:26 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f9f72e27

dev-ml/ocaml-uri: bump to 1.9.4

Package-Manager: Portage-2.3.6, Repoman-2.3.2

 dev-ml/ocaml-uri/Manifest               |  1 +
 dev-ml/ocaml-uri/ocaml-uri-1.9.4.ebuild | 38 +++++++++++++++++++++++++++++++++
 2 files changed, 39 insertions(+)

diff --git a/dev-ml/ocaml-uri/Manifest b/dev-ml/ocaml-uri/Manifest
index de2a7c2c678..5dc6bb6039a 100644
--- a/dev-ml/ocaml-uri/Manifest
+++ b/dev-ml/ocaml-uri/Manifest
@@ -1 +1,2 @@
 DIST ocaml-uri-1.9.2.tar.gz 256642 SHA256 
8c3250d3b6bf872e02b888ba4b1d71fc2672a6a235b99e83113ddf749eca7f09 SHA512 
c71cb8cdda7823139475c9f4d915fb41ccf621f1f2460eba15c537ff8655520ea6daf248e22e8e9f6dfb1a4a204753ee77f458549b35c0b5b6e26e31b07b0ea7
 WHIRLPOOL 
9ed0308b7fcfb9dded2519e3d02e3fff1c358cd28972af3ff617e36ad963f220125bd31ebacfa615de19745c69a91d0fc6acadee37e0f7f7a6709c949d301f4f
+DIST ocaml-uri-1.9.4.tar.gz 213917 SHA256 
cdcecd5bc9fb74fc9ba76da63acd33bc5a7a7e5f066c5729d36cc1488d3f348f SHA512 
c2314c55d1d89bb7824e6bd2aad57fa2bdc4889d5e6c0b4ce75f4ca33660d510d7ab125ff0f340f4688930f3ddac13193d34762f912cc70c4ce30aa206f32ddc
 WHIRLPOOL 
ff9cadecc800d37a651e17e0d4765c9796df046c96f74139866dd1386c9eb16241caa82e3aa440ae415bf2cc3b16a3f3a8577396c4709ba93f0923151b746c06

diff --git a/dev-ml/ocaml-uri/ocaml-uri-1.9.4.ebuild 
b/dev-ml/ocaml-uri/ocaml-uri-1.9.4.ebuild
new file mode 100644
index 00000000000..d7a33a6f362
--- /dev/null
+++ b/dev-ml/ocaml-uri/ocaml-uri-1.9.4.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+inherit findlib
+
+DESCRIPTION="RFC3986 URI parsing library for OCaml"
+HOMEPAGE="https://github.com/mirage/ocaml-uri https://mirage.io";
+SRC_URI="https://github.com/mirage/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="ISC"
+SLOT="0/${PV}"
+KEYWORDS="~amd64"
+IUSE="test"
+
+RDEPEND="
+       dev-ml/ocaml-re:=
+       dev-ml/sexplib:=
+       dev-ml/ppx_sexp_conv:=
+       dev-ml/stringext:=
+       dev-ml/type-conv:=
+       dev-lang/ocaml:=
+"
+DEPEND="${RDEPEND}
+       test? ( >=dev-ml/ounit-1.0.2 )
+       dev-ml/jbuilder
+       dev-ml/opam
+"
+
+
+src_install() {
+       opam-installer -i \
+               --prefix="${ED}/usr" \
+               --libdir="${D}/$(ocamlc -where)" \
+               --docdir="${ED}/usr/share/doc/${PF}" \
+               uri.install || die
+}

Reply via email to